Subject: Re: bug#1111: describe-key's key notation display inconsistency

From: Noam Postavsky <[email-masked]>
Date: Thu, 08 Aug 2019 12:03:42 -0400

Drew Adams <[email-masked]> writes:

> I've said before (not in this thread, most likely)
> that I think that the Emacs manuals should use the
> exact same notation that Emacs itself uses
> interactively.
>
> That means the manuals should use <C-return>, not
> C-<return>.  But they don't.

Having Emacs print C-<return>, as suggested in the OP, would also solve
the consistency, yes?  I think it's a bit more readable, so I would be
in favour of that.

> ---
>
> FWIW, I've also argued that we do not need
> angle-bracket notation at all.  We can drop it and
> still be completely unambiguous and consistent.

That assumes all function key names are longer than one letter, right?